Bug 1122767 - Support configuration of Keystone in httpd/mod_wsgi
Summary: Support configuration of Keystone in httpd/mod_wsgi
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-puppet-modules
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ga
: 6.0 (Juno)
Assignee: Rich Megginson
QA Contact: Udi
URL:
Whiteboard:
Depends On:
Blocks: 1122764 1123117 1138424 1170218 1170223 1170224 1170225 1170370 1170372 1180230
TreeView+ depends on / blocked
 
Reported: 2014-07-24 03:46 UTC by Nathan Kinder
Modified: 2015-03-24 04:35 UTC (History)
3 users (show)

Fixed In Version: openstack-puppet-modules-2014.2.8-1.el7ost.noarch
Doc Type: Enhancement
Doc Text:
The puppet-keystone puppet module now supports deploying the Identity service in Apache HTTPD.
Clone Of:
Environment:
Last Closed: 2015-02-09 20:05:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 109676 None None None Never
Launchpad 1348728 None None None Never

Description Nathan Kinder 2014-07-24 03:46:09 UTC
Puppet module changes are needed to allow Keystone to be set up in httpd/mod_wsgi.

One scenario that will definitely require work in the puppet modules is to allow Keystone to share a single httpd instance with Horizon when both services are installed together (as done on a controller or an all-in-one setup).  We will need to ensure that the core httpd configuration and the mod_wsgi configurations do not step on each other.

Comment 1 Nathan Kinder 2015-01-11 18:20:14 UTC
This is already fixed and included in the following package:

  openstack-puppet-modules-2014.2.8-1.el7ost.noarch

Comment 2 Scott Lewis 2015-02-09 20:05:05 UTC
This bug has been closed as a part of the RHEL-OSP 6 general availability release. For details, see https://rhn.redhat.com/errata/rhel7-rhos-6-errata.html


Note You need to log in before you can comment on or make changes to this bug.